## Script (Python) "getMailFolderTypes"
##parameters=
# $Id: getMailFolderTypes.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $

"""
Below are defined **MAIL FOLDER CONTENT TYPES** (not mail content types)
They're following a folderish wf and will contain mail content types.
(Cf. getMailContentTypes)
"""

################################
# INCOMINGMAILFOLDER Type
################################

InComingMailFolder_type = {
    'title': 'portal_type_InComingMailFolder_title',
    'description': 'portal_type_InCOmingMailFolder_description',
    'content_icon': 'mail_folder_icon.gif',
    'content_meta_type': 'InComingMailFolder',
    'product': 'CPSMailManager',
    'factory': 'addInComingMailFolder',
    'immediate_view': 'mailfolder_view',
    'global_allow': 1,
    'filter_content_types': 1,
    'allowed_content_types': (),
    'allow_discussion': 0,
    'cps_is_searchable': 1,
    'cps_proxy_type': 'folder',
    'schemas': ['mail_folder_commun_metadata', 'in_coming_mail_folder_metadata'],
    'layouts': ['commun_mail_folder_metadata', 'in_coming_mail_folder_metadata'],
    'flexible_layouts': [],
    'storage_methods': [],
    'cps_workspace_wf': 'in_coming_mail_folder_wf',
    }

################################
# SPONTANEOUS Mail Folder Type
################################

SpontaneousMailFolder_type = {
    'title': 'portal_type_SpontaneousMailFolder_title',
    'description': 'portal_type_SpontaneousMailFolder_description',
    'content_icon': 'mail_folder_icon.gif',
    'content_meta_type': 'SpontaneousMailFolder',
    'product': 'CPSMailManager',
    'factory': 'addSpontaneousMailFolder',
    'immediate_view': 'mailfolder_view',
    'global_allow': 1,
    'filter_content_types': 1,
    'allowed_content_types': (),
    'allow_discussion': 0,
    'cps_is_searchable': 1,
    'cps_proxy_type': 'folder',
    'schemas': ['mail_folder_commun_metadata', 'spontaneous_mail_folder_metadata'],
    'layouts': ['commun_mail_folder_metadata', 'spontaneous_mail_folder_metadata'],
    'flexible_layouts': [],
    'storage_methods': [],
    'cps_workspace_wf': 'spontaneous_mail_folder_wf',
    }

######################################
# Parliament Mail Folder Type
######################################

#ParliamentMailFolder_type = {
#    'title': 'portal_type_ParliamentMailFolder_title',
#    'description': 'portal_type_ParliamentMailFolder_description',
#    'content_icon': 'mail_folder_icon.gif',
#    'content_meta_type': 'ParliamentMailFolder',
#    'product': 'CPSMailManager',
#    'factory': 'addBaseMailFolder',
#    'immediate_view': 'cpsdocument_view',
#    'global_allow': 1,
#    'filter_content_types': 1,
#    'allowed_content_types': (),
#    'allow_discussion': 0,
#    'cps_is_searchable': 1,
#    'cps_proxy_type': 'folderishdocument',
#    'schemas': ['mail_folder_commun_metadata'],
#    'layouts': ['commun_mail_folder_metadata'],
#    'flexible_layouts': [],
#    'storage_methods': [],
#    'cps_workspace_wf': 'in_coming_mail_folder_wf',
#    }

########################################
# Parliament Question Mail Folder Type
########################################

#ParliamentQuestion_type = {
#    'title': 'portal_type_ParliamentQuestionMailFolder_title',
#    'description': 'portal_type_ParliamentQuestionMailFolder_description',
#    'content_icon': 'mail_folder_icon.gif',
#    'content_meta_type': 'ParliamentQuestionMailFolder',
#    'product': 'CPSMailManager',
#    'factory': 'addBaseMailFolder',
#    'immediate_view': 'cpsdocument_view',
#    'global_allow': 1,
#    'filter_content_types': 1,
#    'allowed_content_types': (),
#    'allow_discussion': 0,
#    'cps_is_searchable': 1,
#    'cps_proxy_type': 'folderishdocument',
#    'schemas': ['mail_folder_commun_metadata'],
#    'layouts': ['commun_mail_folder_metadata'],
#    'flexible_layouts': [],
#    'storage_methods': [],
#    'cps_workspace_wf': 'in_coming_mail_folder_wf',
#    }



mail_folder_document_types = {}
mail_folder_document_types['InComingMailFolder'] = InComingMailFolder_type
mail_folder_document_types['SpontaneousMailFolder'] = SpontaneousMailFolder_type
#mail_folder_document_types['ParliamentMailFolder'] = ParliamentMailFolder_type
#mail_folder_document_types['ParliamentQuestionMailFolder'] = ParliamentMailFolder_type

return mail_folder_document_types
