## Script (Python) "getMailFolderTypes"
##parameters=
# $Id: getMailTypes.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $

"""
Below are defined **MAIL CONTENT TYPES**
"""

################################
# MAIL DOCUMENT TYPE
################################

mail_document_type = {
    'title': 'portal_type_Mail_Document_title',
    'description': 'portal_type_Mail_Document_description',
    'content_icon': 'flexible_icon.gif',
    'content_meta_type': 'MailDocumentType',
    'product': 'CPSDocument',
    'factory': 'addCPSDocument',
    'immediate_view': 'mailtype_view',
    'global_allow': 1,
    'filter_content_types': 1,
    'allowed_content_types': (),
    'allow_discussion': 0,
    'cps_is_searchable': 1,
    'cps_proxy_type': 'document',
    'schemas': ['mail_common_metadata', 'mail_flexible_content', 'mail_version_support'],
    'layouts': ['mail_common_metadata', 'mail_flexible_content'
                ],
    'flexible_layouts': ['mail_flexible_content:mail_flexible_content'],
    'storage_methods': [],
    }

mail_document_types = {}
mail_document_types['mail_document'] = mail_document_type

return mail_document_types
