##parameters=REQUEST=None, mode="edit", **kw
# $Id: mailtype_edit.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $

"""
Edition action on a document :
Go to lock state if edition is beginning or
freeze the document if a new version is to be created,
or just use the modification transition to record the comment
"""

wftool = context.portal_workflow
pmembership = context.portal_membership
user = pmembership.getAuthenticatedMember()

if REQUEST is not None:
    kw.update(REQUEST.form)


review_state = wftool.getInfoFor(context, 'review_state', '')
if not (kw.has_key('cancel') or kw.has_key('mailtype_edit_button')):
    if review_state != 'locked':
        # before edition, we lock the doc
        wftool.doActionFor(context, 'lock')
elif kw.has_key('cancel') or kw.has_key('mailtype_edit_button'):
    # we are comming from the form

    if kw.has_key('cancel'):
        new_version = 'no'
        comment = 'Annulation (aucune modification)'
    else:
        new_version = kw.get('new_version', 'no')
        if mode == "metadata":
            comment = "Modification des mta-donnes"
        else:
            comment = kw.get('comment', '')

    if new_version == 'yes':
        # freeze the document
        wftool.doActionFor(context, 'new_version', comment=comment)
    else:
        wftool.doActionFor(context, 'modification', comment=comment)

if mode != "edit":
    return context.mailtype_edit(**kw)

return context.mailtype_edit_form(**kw)



if REQUEST is not None:
    url = context.absolute_url()
    redirect_url = '%s/misilldocument_edit_form?%s' % (url, 'portal_status_message=psm_status_edit')
    REQUEST.RESPONSE.redirect(redirect_url)
