##parameters=ids=None

# $Id: archive_copy.py,v 1.1 2004/03/15 13:39:33 anguenot Exp $
"""
Copy a archived version into clipboard by creating a proxy in tmp
ids is a list of revision number
context is a proxy on the document
"""

REQUEST = context.REQUEST

tmp = context.portal_url.getPortalObject().tmp

if ids:
    ids_to_copy=[]
    for rev in ids:

        # first, temporary revert current proxy to desired revision
        current_revs = context.getLanguageRevisions()
        language_revs = {
            context.getDefaultLanguage(): int(rev),
            }
        context.revertToRevisions(language_revs, freeze=0)

        # make a copy of the proxy with desired revision in tmp
        cp = context.aq_inner.aq_parent.manage_CPScopyObjects([context.id])
        result = tmp.manage_CPSpasteObjects(cp)

        # restore original proxy
        context.revertToRevisions(current_revs, freeze=0)

        # get id of tmp proxy to copy
        ids_to_copy.append(result[0]['new_id'])

    # copy the new proxies in the clipboard
    tmp.manage_CPScopyObjects(ids_to_copy, REQUEST)

    return REQUEST.RESPONSE.redirect(context.absolute_url() + '/versions_view?portal_status_message=Archive(s)+copie(s).')

else:
  return REQUEST.RESPONSE.redirect(context.absolute_url() + '/versions_view?portal_status_message=Slectionnez+au+moins+une+archive++copier.')
