## Script (Python) "getAllowedMailTypes"
##parameters=
#$Id: getAllowedMailTypes.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $

"""
Return the diffferent mail types that
we can create within the MailsRootFolder.
"""

mcat = context.Localizer.default

allowed_ones = []

#
# Declaration
#

InComingMailFolder = {'meta_type':'InComingMailFolder',
                      'wording':mcat('_label_in_coming_mail_folder').encode(\
    "ISO-8859-15", 'ignore'),}

SpontaneousMailFolder = {'meta_type':'SpontaneousMailFolder',
                          'wording':mcat('_label_spontaneous_mail_folder').encode(\
    "ISO-8859-15", 'ignore'),}

ParliamentMailFolder = {'meta_type':'ParliamentMailFolder',
                       'wording':mcat('_label_parliament_mail_folder').encode(\
    "ISO-8859-15", 'ignore'),}

ParliamentQuestionMailFolder = {'meta_type':'ParliamentQuestionMailFolder',
                               'wording':mcat('_label_parliament_question_mail_folder').encode(\
    "ISO-8859-15", 'ignore'),}


#
# Adding them
#

allowed_ones.append(InComingMailFolder)
allowed_ones.append(SpontaneousMailFolder)
#allowed_ones.append(ParliamentMailFolder)
#allowed_ones.append(ParliamentQuestionMailFolder)

return allowed_ones
