##parameters=sort_by=None, direction=None, hide_folder=0, displayed=['']
# $Id: getMailFolderContents.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $
"""
Get a sorted list of contents object excluded the ref documents.
"""

if not sort_by:
    disp_params = context.REQUEST.SESSION.get('cps_display_params', {})
    sort_by = disp_params.get('sort_by', None);
    direction = disp_params.get('direction', 'asc');
elif not direction:
    direction = 'asc'

to_exclude = [context.getInComingMailTypeId(),
              context.getOutGoingMailTypeId()]

if sort_by == None:
    return [x for x in context.filterContents(items=context.objectValues(),
                                              hide_folder=hide_folder,
                                              displayed=displayed)
            if x.id not in to_exclude]
else:
    return [x for x in context.filterContents(items=context.objectValues(),
                                              sort_by=sort_by, direction=direction,
                                              hide_folder=hide_folder,
                                              displayed=displayed)
            if x.id not in to_exclude]
