##parameters=user_id, level, role
#$Id: isAllowedToRemoveAssigned.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $
"""Is the current user allowed to delete user_id at a given level.
"""

member = context.portal_membership.getAuthenticatedMember()
member_id = member.getMemberId()

if not level:
    level = 0

#
# Suicide not allowed
#

member_entry = context.getEntryFromDirectories(member_id)
if ':' not in user_id:
    if user_id == member_id:
        return 0
else:
    if user_id.split(':')[1] in member_entry.get('groups', []):
        return 0

#
# Checking actor roles
#

if member_id in context.getContent().getPilotMemberIds(level=context.getContent().getCurrentLevel()) and \
   role in ['pilot', 'pre_pilot', 'associate', 'watcher']:
   if role == 'pilot':
       if user_id in context.getContent().isPilotSubstituteHere(member_id, level):
           return 0
   if role == 'pre_pilot':
       if user_id in context.getContent().isPrePilotSubstituteHere(member_id, level):
           return 0
   return 1
elif member_id in context.getContent().getAssociateMemberIds() and \
         role in ['associate', 'watcher']:
    if role == 'associate':
        if user_id in context.getContent().isAssociateSubstituteHere(member_id, level):
            return 0
    return 1
elif member_id in context.getContent().getWatcherMemberIds() and \
         role == 'watcher' and \
         user_id in context.getContent().isWatcherSubstituteHere(member_id, level):
    return 1
return 0
