##parameters=
# $Id: mailtype_unlock.py,v 1.1 2004/03/15 11:22:33 anguenot Exp $

"""
Lock the context document
"""


pmembership = context.portal_membership
member = pmembership.getAuthenticatedMember()
my_roles = member.getRolesInContext( context )
member_id = member.id
member_role = 'MailTypeLocker'

if 'Manager' in my_roles or 'WorkspaceManager' in my_roles or \
       'WorkspaceMember' in my_roles or \
       member_role in my_roles:

    roles = list(context.get_local_roles_for_userid( userid=member_id ))

    if member_role in roles:
        roles.remove( member_role )
        context.manage_delLocalRoles( userids=[member_id] )
        if roles:
            context.manage_setLocalRoles( member_id, roles )
else:
    raise "Unauthorized", "You don't have required role on document to unlock it"
