import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from pprint import pprint
import unittest
from Testing import ZopeTestCase
import CPSMailManagerTestCase


class TestGlobalInstall(CPSMailManagerTestCase.CPSMailManagerTestCase):
    def afterSetUp(self):
        self.login('root')

    def testInstallerScript(self):
        from Products.ExternalMethod.ExternalMethod import ExternalMethod
        installer = ExternalMethod('installer',
            'CPS MAIL MANAGER NSTALLER', 'CPSMailManager.install',
            'install')
        self.portal._setObject('installer', installer)
        self.portal.installer()

    def beforeTearDown(self):
        self.logout()

def test_suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(TestGlobalInstall))
    return suite
