import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

import unittest
from Testing import ZopeTestCase
import MisillWorkflowEngineTestCase

from Products.CMFCore.utils import getToolByName

class TestFixtures(MisillWorkflowEngineTestCase.MisillWorkflowEngineTestCase):
    def afterSetUp(self):
        self.login('root')

    def testWorkflowFixtures(self):
        #
        # Test the workflow fixtures
        #
        wftool = getToolByName(self.portal, 'portal_workflow')

        ids = ['in_coming_mail_folder_wf',
               'spontaneous_mail_folder_wf']

        for id in ids:
            self.assertEqual(id in wftool.objectIds(), 1)

    def beforeTearDown(self):
        self.logout()

def test_suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(TestFixtures))
    return suite
