# -*- coding: ISO-8859-15 -*-$
# (C) Copyright 2004 Nuxeo SARL <http://nuxeo.com>
# Author: Julien Anguenot <ja@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: CPSMailManagerPermissions.py,v 1.3 2004/05/07 12:18:20 anguenot Exp $

__author__ = "Julien Anguenot <ja@nuxeo.com>"

"""CPS Mail Manager Permissions

  - 'Mail Center View' : To have access to the current mail folders center.
  - 'Archives Mail Center View' : To have access to the mail folder archives.
"""

from Products.CMFCore.CMFCorePermissions import setDefaultRoles

MailCenterView = 'Mail Center View'
setDefaultRoles(MailCenterView, ('Manager', 'Member'))

ArchivesMailCenterView = 'Archives Mail Center View'
setDefaultRoles(ArchivesMailCenterView, ('Manager', 'Member'))
