##parameters=
#$Id: getMailFolderVocabularies.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $
"""
Here are defined the vocabularies.
"""

mail_folder_important_field_vocabulary = {
    'data': {
        'dict': {
            'Normal': "Normal",
            'Signal': "Signal",
            'Urgent': "Urgent",
            'Urgent/Signal': "Urgent/Signal",
            'Prioritaire': "Prioritaire",
            },
        'list': [
            'Normal',
            'Signal',
            'Urgent',
            'Urgent/Signal',
            'Prioritaire',
            ],
        },
    }


mail_folder_last_signature_vocabulary = {
    'data': {
        'dict': {
            'Ministre': "Ministre",
            'Directeur Gnral': "Directeur Gnral",
            'Sous Directeur': "Sous Directeur",
            'Chef de bureau': "Chef de bureau",
            },
        'list': [
            'Ministre',
            'Directeur Gnral',
            'Sous Directeur',
            'Chef de bureau',
            ],
        },
    }

mail_folder_list_ministery_vocabulary = {
    'data': {
        'dict': {
            'Intrieur': "Intrieur",
            'Fonction Publique': "Fonction Publique",
            'DATAR': "DATAR",
            'Finances': "Finances",
            },
        'list': [
            'Intrieur',
            'Fonction Publique',
            'DATAR',
            'Finances',
            ],
        },
    }

mail_folder_archived_field_vocabulary = {
    'data': {
        'dict': {
            '1': "1",
            '2': "2",
            '3': "3",
            '4': "4",
            '5': "5",
            '6': "6",
            '7': "7",
            '8': "8",
            '9': "9",
            '10': "10",
            },
        'list': [
            '1',
            '2',
            '3',
            '4',
            '5',
            '6',
            '7',
            '8',
            '9',
            '10',
            ],
        },
    }

in_coming_mail_folder_type_vocabulary = {
    'data': {
        'dict': {
            'note': "Note",
            'circulaire': "Circulaire",
            'fiche': "Fiche",
            'lettre': "Lettre",
            'correction': "Correction",
            'procdure': "Procdure",
            'tableaux de bords': "Tableaux de bords",
            'formulaire': "Formulaire",
            'convention-marchs': "Convention-marchs",
            'avis': "Avis",
            'compte rendu': "Compte rendu",
            'rapport': "Rapport",
            'carte': "Carte",
            'graphique': "Graphique",
            'tableau': "Tableau",
            'etude': "Etude",
            'communiqu de presse': "Communiqu de presse",
            'directive': "Directive",
            'loi': "Loi",
            'dcret': "Dcret",
            'arrt': "Arrt",
            'guide': "Guide",
            'brochure': "Brochure",
            'tude statistique': "Etude statistique",
            'article': "Article",
            'enqute': "Enqute",
            'mmoire': "Mmoire",
            'observation': "Observation",
            'autre': "Autre",
            },
        'list': [
            'note',
            'circulaire',
            'fiche',
            'lettre',
            'correction',
            'procdure',
            'tableaux de bords',
            'formulaire',
            'convention-marchs',
            'avis',
            'compte rendu',
            'rapport',
            'carte',
            'graphique',
            'tableau',
            'etude',
            'communiqu de presse',
            'directive',
            'loi',
            'dcret',
            'arrt',
            'guide',
            'brochure',
            'tude statistique',
            'article',
            'enqute',
            'mmoire',
            'observation',
            'autre',
            ],
        },
     }

in_coming_mail_folder_sender_type_vocabulary = {
    'data': {
        'dict': {
            'Directions': "Direction du Ministre",
            'Ministeres': "Ministre",
            'Prefectures': "Prfecture",
            'Sous-Prefectures': "Sous prfecture",
            'Conseil-regionaux': "Conseil rgional",
            'Departements': "Conseil gnral",
            'Deputes1Col': "Dput",
            'Senateurs1Col': "Snateur",
            'Communes': "Commune",
            'Commmunautes urbaines': "Communaut urbaine",
            'Syndicats': "Syndicat",
            'Conseil_etat': "Conseil d'tat",
            'Cour_appel': "Cour d'appel administrative",
            'Cour_comptes': "Cour des comptes",
            'Tribunal_admin': "Tribunal administratif",
            'Interne': "Interne",
            'Autre': "Autre",
            },
        'list': [
            'Directions',
            'Ministeres',
            'Prefectures',
            'Sous-Prefectures',
            'Conseil-regionaux',
            'Departements',
            'Deputes1Col',
            'Senateurs1Col',
            'Communes',
            'Commmunautes urbaines',
            'Syndicats',
            'Conseil_etat',
            'Cour_appel',
            'Cour_comptes',
            'Tribunal_admin',
            'Interne',
            'Autre',
            ],
        },
    }

in_coming_mail_folder_recipient_type_vocabulary = {
    'data': {
        'dict': {
            'Directions': "Direction du Ministre",
            'Ministeres': "Ministre",
            'Prefectures': "Prfecture",
            'Sous-Prefectures': "Sous prfecture",
            'Conseil-regionaux': "Conseil rgional",
            'Departements': "Conseil gnral",
            'Deputes1Col': "Dput",
            'Senateurs1Col': "Snateur",
            'Communes': "Commune",
            'Commmunautes urbaines': "Communaut urbaine",
            'Syndicats': "Syndicat",
            'Conseil_etat': "Conseil d'tat",
            'Cour_appel': "Cour d'appel administrative",
            'Cour_comptes': "Cour des comptes",
            'Tribunal_admin': "Tribunal administratif",
            'Interne': "Interne",
            'Autre': "Autre",
            },
        'list': [
            'Directions',
            'Ministeres',
            'Prefectures',
            'Sous-Prefectures',
            'Conseil-regionaux',
            'Departements',
            'Deputes1Col',
            'Senateurs1Col',
            'Communes',
            'Commmunautes urbaines',
            'Syndicats',
            'Conseil_etat',
            'Cour_appel',
            'Cour_comptes',
            'Tribunal_admin',
            'Interne',
            'Autre',
            ],
        },
    }

in_coming_mail_folder_outgoing_type_vocabulary = {
    'data': {
        'dict': {
            'note': "Note",
            'circulaire': "Circulaire",
            'fiche': "Fiche",
            'lettre': "Lettre",
            'correction': "Correction",
            'procdure': "Procdure",
            'tableaux de bords': "Tableaux de bords",
            'formulaire': "Formulaire",
            'convention-marchs': "Convention-marchs",
            'avis': "Avis",
            'compte rendu': "Compte rendu",
            'rapport': "Rapport",
            'carte': "Carte",
            'graphique': "Graphique",
            'tableau': "Tableau",
            'etude': "Etude",
            'communiqu de presse': "Communiqu de presse",
            'directive': "Directive",
            'loi': "Loi",
            'dcret': "Dcret",
            'arrt': "Arrt",
            'guide': "Guide",
            'brochure': "Brochure",
            'tude statistique': "Etude statistique",
            'article': "Article",
            'enqute': "Enqute",
            'mmoire': "Mmoire",
            'observation': "Observation",
            'autre': "Autre",
            },
        'list': [
            'note',
            'circulaire',
            'fiche',
            'lettre',
            'correction',
            'procdure',
            'tableaux de bords',
            'formulaire',
            'convention-marchs',
            'avis',
            'compte rendu',
            'rapport',
            'carte',
            'graphique',
            'tableau',
            'etude',
            'communiqu de presse',
            'directive',
            'loi',
            'dcret',
            'arrt',
            'guide',
            'brochure',
            'tude statistique',
            'article',
            'enqute',
            'mmoire',
            'observation',
            'autre',
            ],
        },
    }

spontaneous_mail_folder_sender_type_vocabulary = {
    'data': {
        'dict': {
            'Directions': "Direction Gnrale",
            'Sous_Direction': "Sous Direction",
            'Bureau': "Bureau",
            'Departements': "Dpartement",
            'Mission': "Mission",
            'Redacteur': "Rdacteur",
            'Autre': "Autre",
            },
        'list': [
            'Directions',
            'Sous_Direction',
            'Bureau',
            'Departements',
            'Mission',
            'Redacteur',
            'Autre',
            ],
        },
    }

spontaneous_mail_folder_recipient_type_vocabulary = {
    'data': {
        'dict': {
            'Directions': 'Direction du Ministre',
            'Ministeres': 'Ministre',
            'Prefectures': 'Prfecture',
            'Sous-Prefectures':'Sous prfecture',
            'Conseil-regionaux':'Conseil rgional',
            'Departements':'Conseil gnral',
            'Deputes1Col': 'Dput',
            'Senateurs1Col':'Snateur',
            'Communes':'Commune',
            'Commmunautes urbaines':'Communaut urbaine',
            'Syndicats':'Syndicat',
            'Conseil_etat':'Conseil d\'tat',
            'Cour_appel':'Cour d\'appel administrative',
            'Cour_comptes':'Cour des comptes',
            'Tribunal_admin':'Tribunal administratif',
            'Interne':'Interne',
            'Autre':'Autre',
            },
        'list': [
            'Directions',
            'Ministeres',
            'Prefectures',
            'Sous-Prefectures',
            'Conseil-regionaux',
            'Departements',
            'Deputes1Col',
            'Senateurs1Col',
            'Communes',
            'Commmunautes urbaines',
            'Syndicats',
            'Conseil_etat',
            'Cour_appel',
            'Cour_comptes',
            'Tribunal_admin',
            'Interne',
            'Autre',
            ],
        },
    }

spontaneous_mail_folder_outgoing_type_vocabulary = {
    'data': {
        'dict': {
            'note': "Note",
            'circulaire': "Circulaire",
            'fiche': "Fiche",
            'lettre': "Lettre",
            'correction': "Correction",
            'procdure': "Procdure",
            'tableaux de bords': "Tableaux de bords",
            'formulaire': "Formulaire",
            'convention-marchs': "Convention-marchs",
            'avis': "Avis",
            'compte rendu': "Compte rendu",
            'rapport': "Rapport",
            'carte': "Carte",
            'graphique': "Graphique",
            'tableau': "Tableau",
            'etude': "Etude",
            'communiqu de presse': "Communiqu de presse",
            'directive': "Directive",
            'loi': "Loi",
            'dcret': "Dcret",
            'arrt': "Arrt",
            'guide': "Guide",
            'brochure': "Brochure",
            'tude statistique': "Etude statistique",
            'article': "Article",
            'enqute': "Enqute",
            'mmoire': "Mmoire",
            'observation': "Observation",
            'autre': "Autre",
            },
        'list': [
            'note',
            'circulaire',
            'fiche',
            'lettre',
            'correction',
            'procdure',
            'tableaux de bords',
            'formulaire',
            'convention-marchs',
            'avis',
            'compte rendu',
            'rapport',
            'carte',
            'graphique',
            'tableau',
            'etude',
            'communiqu de presse',
            'directive',
            'loi',
            'dcret',
            'arrt',
            'guide',
            'brochure',
            'tude statistique',
            'article',
            'enqute',
            'mmoire',
            'observation',
            'autre',
            ],
        },
    }

format_vocabulary = {
    'data': {
        'dict': {
            'fax': "Fax",
            'mail': "Mail",
            'papier': "Papier",
            'numerique': "Numrique",
            },
        'list': [
            'fax',
            'mail',
            'papier',
            'numerique',
            ],
        },
    }

languages_vocabulary = {
    'data': {
        'dict': {
            'fr': "Franais",
            'en': "English",
            'd': "Deutsch",
            'it': "Italiano",
            'fi': "Suomeksi",
            },
        'list': [
            'fr',
            'en',
            'd',
            'it',
            'fi',
            ],
        },
    }

################################################
# BUILDING THE DICT
################################################

mail_folder_vocabularies = {}

mail_folder_vocabularies['mail_folder_important_field'] = mail_folder_important_field_vocabulary
mail_folder_vocabularies['mail_folder_last_signature']  = mail_folder_last_signature_vocabulary
mail_folder_vocabularies['mail_folder_list_ministery']  = mail_folder_list_ministery_vocabulary
mail_folder_vocabularies['mail_folder_archived_field']  = mail_folder_archived_field_vocabulary
mail_folder_vocabularies['in_coming_mail_folder_type']  = in_coming_mail_folder_type_vocabulary
mail_folder_vocabularies['in_coming_mail_folder_sender_type']  = in_coming_mail_folder_sender_type_vocabulary
mail_folder_vocabularies['in_coming_mail_folder_recipient_type']  = in_coming_mail_folder_recipient_type_vocabulary
mail_folder_vocabularies['in_coming_mail_folder_outgoing_type']  = in_coming_mail_folder_outgoing_type_vocabulary
mail_folder_vocabularies['spontaneous_mail_folder_sender_type']  = spontaneous_mail_folder_sender_type_vocabulary
mail_folder_vocabularies['spontaneous_mail_folder_recipient_type']  = spontaneous_mail_folder_recipient_type_vocabulary
mail_folder_vocabularies['spontaneous_mail_folder_outgoing_type']  = spontaneous_mail_folder_outgoing_type_vocabulary
mail_folder_vocabularies['format']  = format_vocabulary
mail_folder_vocabularies['languages']  = languages_vocabulary

return mail_folder_vocabularies


ll
