##parameters=
#$Id: canModifyReferenceDocument.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $
""" Can the current member modify the reference documents.

It's depending on the workflow status of the parent mail folder
"""

mailfolder_review_state = context.portal_workflow.getInfoFor(context,
                                                             'review_state')

if mailfolder_review_state == 'closed':
    return 0

member = context.portal_membership.getAuthenticatedMember()
is_pilot = member.has_role(['WorkspaceManager'], context)

if mailfolder_review_state == 'validating' and \
   not is_pilot:
    return 0

return 1
