##parameters=REQUEST=None, role_to_display='pilots', **kw
# $Id: doDeletePreAffectedOnes.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $

"""Delete pre-assigned members.
"""

from types import StringType

if REQUEST is not None:
    form = REQUEST.form
    if form:
        idlevels = form.get('ids')
        if isinstance(idlevels, StringType):
            idlevels = [idlevels]
        if idlevels is not None:
            for item in idlevels:
                if not item.startswith('group:') and \
                   not item.startswith('groups:'):
                    id = item.split(':')[0]
                    level = int(item.split(':')[1])
                    role =  item.split(':')[2]
                else:
                    id = item.split(':')[0] + ':' + item.split(':')[1]
                    level = int(item.split(':')[2])
                    role =  item.split(':')[3]
                if role in ['pilot', 'pre_pilot']:
                    session = REQUEST.SESSION.get('workflow_position', [])
                    index = 0
                    for rec in session:
                        if id == rec['login'] and level == rec['position']:
                            del REQUEST.SESSION['workflow_position'][index]
                        index += 1
                    if role == 'pilot':
                        context.getContent().deleteAssigned(www=[id], context=context, level=level)
                    else:
                        # pre_pilots
                        context.getContent().deletePreAssigned(www=[id], context=context, level=level)
                elif role == 'associate':
                    context.getContent().deleteAssociates(www=[id], context=context)
                elif role == 'watcher':
                    context.getContent().deleteWatchers(www=[id], context=context)
                else:
                    pass
    REQUEST.RESPONSE.redirect(REQUEST['HTTP_REFERER'])
