##parameters=member_role, pt_mail
# $Id: getWfActionWording.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $

"""
Return a wording for the wf action so that we can display
given the role of a user.
"""

context = pt_mail

info = context.getContentInfo(context, doc=context.getContent())
mcat = context.Localizer.default

current_level = context.getContent().getCurrentLevel()

for role in member_role:
    if role.startswith('P'):
        if current_level == int(role[1:]):
            if info['review_state'] == "validating":
                return mcat('label_mail_to_validate').encode("ISO-8859-15", 'ignore')
            elif info['review_state'] in ["waiting", "assigning", "writing"]:
                return mcat('label_mail_to_handle').encode("ISO-8859-15", 'ignore')

for role in member_role:
    if role == "Associate" and info['review_state'] != 'closed':
        if info['review_state'] != 'validating':
            return mcat('label_mail_to_work_on_it').encode("ISO-8859-15", 'ignore')
    elif role == "Watcher" and info['review_state'] != 'closed':
        return mcat('label_mail_to_watch').encode("ISO-8859-15", 'ignore')
return ""
